org.apache.fop.layoutmgr

## Interface ElementListObserver.Observer

- Enclosing class:
    ElementListObserver

      public static interface ElementListObserver.Observer

  Implement this interface to receive notifications on element lists.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `observe(java.util.List elementList, java.lang.String category, java.lang.String id)` Notifies the observer about the element list.

- - ### Method Detail

    - #### observe

          void observe(java.util.List elementList,
                       java.lang.String category,
                       java.lang.String id)

      Notifies the observer about the element list.
      Parameters:
        `elementList` - the Knuth element list
        `category` - the category for the element list (example: main, static-content or table-cell)
        `id` - ID for the element list (may be null)

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.